diff -ruN /usr/ports/audio/pocketsphinx/Makefile pocketsphinx/Makefile
--- /usr/ports/audio/pocketsphinx/Makefile	2009-08-21 18:13:17.000000000 -0600
+++ pocketsphinx/Makefile	2009-09-06 16:46:43.000000000 -0600
@@ -2,18 +2,20 @@
 # Date created:				3 Jan 2008
 # Whom:					Richard Neese
 #
-# $FreeBSD: ports/audio/pocketsphinx/Makefile,v 1.4 2009/08/22 00:13:17 amdmi3 Exp $
+# $FreeBSD: ports/audio/pocketsphinx/Makefile,v 1.2 2008/07/25 09:08:39 pav Exp $
 #
 
 PORTNAME=	pocketsphinx
-PORTVERSION=	0.4.1
+PORTVERSION=	0.5.1
 CATEGORIES=	audio accessibility
-MASTER_SITES=	SF/cmusphinx/${PORTNAME}/${PORTVERSION}
+MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+MASTER_SITE_SUBDIR=	cmusphinx/pocketsphinx/0.5.1/
+#DISTNAME=       ${PORTNAME}-${PORTVERSION}-latest
 
 MAINTAINER=	r.neese@gmail.com
 COMMENT=	Speech recognition system
 
-LIB_DEPENDS=	sphinxfe.0:${PORTSDIR}/audio/sphinxbase
+LIB_DEPENDS=	sphinxbase:${PORTSDIR}/audio/sphinxbase
 
 USE_LDCONFIG=	yes
 USE_GMAKE=	yes
diff -ruN /usr/ports/audio/pocketsphinx/distinfo pocketsphinx/distinfo
--- /usr/ports/audio/pocketsphinx/distinfo	2008-03-22 14:37:29.000000000 -0600
+++ pocketsphinx/distinfo	2009-09-06 16:33:43.000000000 -0600
@@ -1,3 +1,3 @@
-MD5 (pocketsphinx-0.4.1.tar.gz) = 1ac25a77c82c4b33cad3ca698357ad43
-SHA256 (pocketsphinx-0.4.1.tar.gz) = 4906abc5f1eaadb036d43de692d495387791fee72b63276f0bbca02d7ef1d0cb
-SIZE (pocketsphinx-0.4.1.tar.gz) = 8931969
+MD5 (pocketsphinx-0.5.1.tar.gz) = 9016b6b601e4491cfcdf29dad91dc499
+SHA256 (pocketsphinx-0.5.1.tar.gz) = 8b67b64e1f3356e3ed4006e5a8d512b9aa5c7b6fa7feac6755c156769fea1a75
+SIZE (pocketsphinx-0.5.1.tar.gz) = 11470603
diff -ruN /usr/ports/audio/pocketsphinx/man-plist pocketsphinx/man-plist
--- /usr/ports/audio/pocketsphinx/man-plist	1969-12-31 17:00:00.000000000 -0700
+++ pocketsphinx/man-plist	2009-09-06 16:50:42.000000000 -0600
@@ -0,0 +1,5 @@
+	pocketsphinx_batch.1 \
+	pocketsphinx_continuous.1 \
+	pocketsphinx_mdef_convert.1 \
+	pocketsphinx_tidigits.1 \
+	pocketsphinx_wsj.1 \
diff -ruN /usr/ports/audio/pocketsphinx/pkg-plist pocketsphinx/pkg-plist
--- /usr/ports/audio/pocketsphinx/pkg-plist	2008-03-22 14:37:29.000000000 -0600
+++ pocketsphinx/pkg-plist	2009-09-06 16:59:09.000000000 -0600
@@ -1,52 +1,22 @@
 bin/pocketsphinx_batch
 bin/pocketsphinx_continuous
 bin/pocketsphinx_mdef_convert
-bin/pocketsphinx_ptt
-bin/pocketsphinx_swb
 bin/pocketsphinx_test
 bin/pocketsphinx_tidigits
-include/pocketsphinx/basic_types.h
-include/pocketsphinx/bin_mdef.h
-include/pocketsphinx/blkarray_list.h
-include/pocketsphinx/cache_lm.h
+bin/pocketsphinx_wsj
 include/pocketsphinx/cmdln_macro.h
-include/pocketsphinx/dict.h
-include/pocketsphinx/fbs.h
-include/pocketsphinx/fsg_history.h
-include/pocketsphinx/fsg_lextree.h
-include/pocketsphinx/fsg_psubtree.h
-include/pocketsphinx/fsg_search.h
-include/pocketsphinx/hmm.h
-include/pocketsphinx/kb.h
-include/pocketsphinx/kdtree.h
-include/pocketsphinx/lm.h
-include/pocketsphinx/lm_3g.h
-include/pocketsphinx/lmclass.h
-include/pocketsphinx/log.h
-include/pocketsphinx/magic.h
-include/pocketsphinx/mdef.h
-include/pocketsphinx/phone.h
-include/pocketsphinx/posixwin32.h
-include/pocketsphinx/s2_semi_mgau.h
-include/pocketsphinx/s2io.h
-include/pocketsphinx/s2params.h
-include/pocketsphinx/s2types.h
-include/pocketsphinx/search.h
-include/pocketsphinx/search_const.h
-include/pocketsphinx/senscr.h
-include/pocketsphinx/subvq_mgau.h
-include/pocketsphinx/tmat.h
-include/pocketsphinx/vector.h
-include/pocketsphinx/word_fsg.h
+include/pocketsphinx/fsg_set.h
+include/pocketsphinx/pocketsphinx.h
+include/pocketsphinx/pocketsphinx.pxd
+include/pocketsphinx/pocketsphinx_export.h
+include/pocketsphinx/ps_lattice.h
 lib/libpocketsphinx.a
 lib/libpocketsphinx.la
 lib/libpocketsphinx.so
-lib/libpocketsphinx.so.0
+lib/libpocketsphinx.so.1
+lib/python2.6/site-packages/PocketSphinx-0.5.1-py2.6.egg-info
+lib/python2.6/site-packages/pocketsphinx.so
 libdata/pkgconfig/pocketsphinx.pc
-%%DATADIR%%/model/hmm/an4/mdef
-%%DATADIR%%/model/hmm/an4/mixture_weights
-%%DATADIR%%/model/hmm/an4/subvq
-%%DATADIR%%/model/hmm/an4/transition_matrices
 %%DATADIR%%/model/hmm/tidigits/feat.params
 %%DATADIR%%/model/hmm/tidigits/mdef
 %%DATADIR%%/model/hmm/tidigits/means
@@ -61,11 +31,7 @@
 %%DATADIR%%/model/hmm/wsj1/sendump
 %%DATADIR%%/model/hmm/wsj1/transition_matrices
 %%DATADIR%%/model/hmm/wsj1/variances
-%%DATADIR%%/model/lm/swb/swb.dic
-%%DATADIR%%/model/lm/swb/swb.lm.DMP
-%%DATADIR%%/model/lm/tidigits/an4.dic
-%%DATADIR%%/model/lm/tidigits/an4.ug.lm
-%%DATADIR%%/model/lm/tidigits/an4.ug.lm.DMP
+%%DATADIR%%/model/lm/cmudict.0.6d
 %%DATADIR%%/model/lm/tidigits/test.digits.fsg
 %%DATADIR%%/model/lm/tidigits/tidigits.dic
 %%DATADIR%%/model/lm/tidigits/tidigits.lm
@@ -82,14 +48,17 @@
 %%DATADIR%%/model/lm/turtle/turtle.sent
 %%DATADIR%%/model/lm/turtle/turtle.token
 %%DATADIR%%/model/lm/turtle/turtle.vocab
+%%DATADIR%%/model/lm/wsj/wlist5o.3e-7.vp.tg.lm.DMP
+%%DATADIR%%/model/lm/wsj/wlist5o.dic
+@dirrm %%DATADIR%%/model/lm/wsj
 @dirrm %%DATADIR%%/model/lm/turtle
 @dirrm %%DATADIR%%/model/lm/tidigits
-@dirrm %%DATADIR%%/model/lm/swb
 @dirrm %%DATADIR%%/model/lm
 @dirrm %%DATADIR%%/model/hmm/wsj1
 @dirrm %%DATADIR%%/model/hmm/tidigits
-@dirrm %%DATADIR%%/model/hmm/an4
 @dirrm %%DATADIR%%/model/hmm
 @dirrm %%DATADIR%%/model
 @dirrm %%DATADIR%%
+@dirrm lib/gstreamer-0.10
 @dirrm include/pocketsphinx
+@exec mkdir -p %D/lib/gstreamer-0.10
